Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Echo

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Echo

public class Echo
extends Task

Echo

Author:
  costin@dnt.ro

Inner Class Summary
`static class` | `Echo.EchoLevel`

Field Summary
`protected boolean` | `append`
`protected java.io.File` | `file`
`protected int` | `logLevel`
`protected java.lang.String` | `message`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Echo()`

Method Summary
`void` | `addText(java.lang.String msg)` Set a multiline message.
`void` | `execute()` Does the work.
`void` | `setAppend(boolean append)` Shall we append to an existing file?
`void` | `setFile(java.io.File file)` Sets the file attribute.
`void` | `setLevel(Echo.EchoLevel echoLevel)` Set the logging level to one of error warning info verbose debug
`void` | `setMessage(java.lang.String msg)` Sets the message variable.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

### file

    protected java.io.File file

### append

    protected boolean append

### logLevel

    protected int logLevel

Constructor Detail

### Echo

    public Echo()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Does the work.
  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setMessage

    public void setMessage(java.lang.String msg)

  Sets the message variable.
  Parameters:
    `msg` - Sets the value for the message variable.

### setFile

    public void setFile(java.io.File file)

  Sets the file attribute.

### setAppend

    public void setAppend(boolean append)

  Shall we append to an existing file?

### addText

    public void addText(java.lang.String msg)

  Set a multiline message.

### setLevel

    public void setLevel(Echo.EchoLevel echoLevel)

  Set the logging level to one of
  - error
  - warning
  - info
  - verbose
  - debug

  The default is "warning" to ensure that messages are displayed by default when using the -quiet command line option.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.